# This is the main configuration file for the application.
# ~~~~~

# Secret key
# ~~~~~
# The secret key is used to secure cryptographics functions.
#
# This must be changed for production, but we recommend not changing it in this file.
#
# See http://www.playframework.com/documentation/latest/ApplicationSecret for more details.
#application.secret="abcdefghk"

#Mix Panel Token
mixpanelToken="XXXXXXXXXXXXXXXXXXXXXX"

#Facebook App ID
fbAppId="XXXXXXXXXXXXXX"

#Lucky Orange Token
luckyOrangeToken=XXXXXXX

# The application languages
# ~~~~~
application.langs="en"

# Global object class
# ~~~~~
# Define the Global object class for this application.
# Default to Global in the root package.
application.global=Global

# Router
# ~~~~~
# Define the Router object to use for this application.
# This router will be looked up first when the application is starting up,
# so make sure this is the entry point.
# Furthermore, it's assumed your route file is named properly.
# So for an application router like `conf/my.application.Router`,
# you may need to define a router file `my.application.routes`.
# Default to Routes in the root package (and `conf/routes`)
# application.router=my.application.Routes

# Database configuration
# ~~~~~
# You can declare as many datasources as you want.
# By convention, the default datasource is named `default`
#
# db.default.driver=org.h2.Driver
# db.default.url="jdbc:h2:mem:play"
# db.default.user=sa
# db.default.password=""
#
# You can expose this datasource via JNDI if needed (Useful for JPA)
# db.default.jndiName=DefaultDS


db.default.driver=com.mysql.jdbc.Driver
db.default.url="jdbc:mysql://localhost/XXXXXXXXXX"
db.default.username=root
db.default.password="mysql"
#db.default.url="jdbc:log4jdbc:mysql://localhost/XXXXXXXXXX"
#db.default.driver=net.sf.log4jdbc.sql.jdbcapi.DriverSpy

db.default.logStatements=false
logger.com.jolbox=DEBUG

# Evolutions
# ~~~~~
# You can disable evolutions if needed
play.evolutions.enabled=false

# Ebean configuration
# ~~~~~
# You can declare as many Ebean servers as you want.
# By convention, the default server is named `default`
#
ebean.default=["models.*"]

# Play Jongo
playjongo.uri="mongodb://XXXXXXXXXXXXXXXX/product_details"
playjongo.gridfs.enabled=false
playjongo.defaultWriteConcern="SAFE"


# Logger
# ~~~~~
# You can also configure logback (http://logback.qos.ch/),
# by providing an application-logger.xml file in the conf directory.

# Root logger:
#logger.root=ERROR

# Logger used by the framework:
#logger.play=INFO

# Logger provided to your application:
#logger.application=DEBUG

# Akka Logger configuration
akka {
	loggers = ["akka.event.slf4j.Slf4jLogger"]
	loglevel = "DEBUG"
	logging-filter = "akka.event.slf4j.Slf4jLoggingFilter"
	event-handlers = ["akka.event.slf4j.Slf4jEventHandler"]
	default-dispatcher {
		fork-join-executor {
			parallelism-min = 8
		}
	}
}

# Host server configuration
host.name="https://XXXXXXXXXXXXXXX"
host.email.from.name = "XXXXXXXXXXXX"

# Image folder path configuration
images.path="public/images"
customer.docs.uploads.path="F:\\Installations\\workspace\\play\\uploads"


